<template>
  <footer class="w-full p-6">
    <div class="container mx-auto">
      <div class="grid grid-cols-1 lg:grid-cols-3">
        <div class="grid-span-1">
          <p class="item text-center lg:text-left">
            KawalCOVID19.id disebarluaskan di bawah Lisensi
            <a href="https://creativecommons.org/licenses/by-nc-nd/4.0/legalcode.id"
              >‌Creative Commons Atribusi-NonKomersial-TanpaTurunan 4.0 Internasional</a
            >
          </p>
        </div>
        <div class="grid-span-1 flex items-center justify-center my-5 lg:my-0">
          <div class="inline-flex">
            <a href="https://instagram.com/kawalcovid19.id" rel="noopener noreferrer" aria-label="instagram">
              <Instagram height="24px" />
            </a>
            <a href="https://twitter.com/kawalcovid19.id" rel="noopener noreferrer" class="mx-5" aria-label="twitter">
              <Twitter height="24px" />
            </a>
            <a href="https://facebook.com/kawalcovid19.id" rel="noopener noreferrer" aria-label="facebook">
              <Facebook height="24px" />
            </a>
          </div>
        </div>
        <div class="grid-span-1 flex justify-center lg:justify-end items-center">
          <a href="https://kawalcovid19.id/kebijakan-privasi" class="item">Kebijakan Privasi</a>
        </div>
      </div>
    </div>
  </footer>
</template>

<script>
const Instagram = () => import('~/components/Icons/instagram');
const Twitter = () => import('~/components/Icons/twitter');
const Facebook = () => import('~/components/Icons/facebook');
export default {
  components: {
    Instagram,
    Twitter,
    Facebook,
  },
};
</script>

<style lang="scss" scoped>
.dark-mode {
  footer {
    background-color: $black-alt;
  }
}
.light-mode {
  footer {
    background-color: $bg-white;
  }
}
.item {
  font-size: 14px;
  line-height: 18px;
}
.left {
  max-width: 400px;
}
</style>
